System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.CodeDom.CodeStatement System.Runtime.InteropServices.ComVisible(true) System.Runtime.InteropServices.ClassInterface(System.Runtime.InteropServices.ClassInterfaceType.AutoDispatch) representing a comment in the code graph. To be added
- Constructor
  Creates a with an empty comment text. The property should be used before emitting the code for the object.
  Creating the code for the following statement throws an Exception because the value of the CodeCommentStatement Comment property hasn't been set. `... demoNs.Comments.Add(new CodeCommentStatement()); ...`
  1.0.5000.0
  2.0.0.0
- Constructor
  CodeComment this CodeCommentStatement is to be initialized with.
  Creates a initalized with the comment in the specified object.
  To be added `... CodeComment com=new CodeComment("foo!"); com.DocComment=true; demoNs.Comments.Add(new CodeCommentStatement(com)); ...` emits `/// foo!`
  1.0.5000.0
  2.0.0.0
- Constructor
  String the Comment property of this object is to be initialized to.
  Creates a with the property initialized to the specified string.
  demoNs.Comments.Add(new CodeCommentStatement("This is a test"));
  generates the code `// This is a test`
  1.0.5000.0
  2.0.0.0
- Constructor
  String the Comment property of this object is to be initialized to.
  If true, specifies a documentation comment; otherwise a regular comment is produced.
  Creates a with the property initialized to the specified string. The docComment argument signifies whether the comment is a regular comment or a document line.
  demoNs.Comments.Add(new CodeCommentStatement("This is a docstring test",true)); demoNs.Comments.Add(new CodeCommentStatement("This is a test",false));
  generates the following code for C# `/// This is a docstring test // This is a test`
  1.0.5000.0
  2.0.0.0
- Property
  System.CodeDom.CodeComment This is the text of the comment to be generated. To be added: an object of type 'CodeComment' To be added 1.0.5000.0 2.0.0.0